Loading ...
Sorry, an error occurred while loading the content.

Icecast 2.2

Expand Messages
  • Bob Burnquest
    Icecast 2.2 can be compiled for Openslug v2.7 Add libgpg-error, libgcrypt and icecast to openslug-bbfiles.conf I needed to edit the icecast-2.2.0.bb file and
    Message 1 of 4 , Mar 1, 2006
    • 0 Attachment
      Icecast 2.2 can be compiled for Openslug v2.7
      Add libgpg-error, libgcrypt and icecast to
      openslug-bbfiles.conf
      I needed to edit the icecast-2.2.0.bb file and add

      EXTRA_OECONF =
      "--with-ogg=/home/other/OpenSlug-2.7/tmp/staging/armeb-linux/lib/
      --with-vorbis=/home/other/OpenSlug-2.7/tmp/staging/armeb-linux/lib/"

      or it wouldn't find the proper ogg & vorbis so files.

      After I installed the ipk files on the slug I manually
      copied libogg.so & libvorbis.so to /usr/lib (Yes I
      realize this is dirty, but I'm new at this. I'll try
      to find the right way, but this worked)

      I hope this can be of use to someone as it completed
      my slug project. Ampache, mpd, icecast, udev + iriver
      mp3 player to play locally or streaming.

      __________________________________________________
      Do You Yahoo!?
      Tired of spam? Yahoo! Mail has the best spam protection around
      http://mail.yahoo.com
    • Øyvind Repvik
      ... Replace the path with ${STAGING_LIBDIR}, and it should work with other paths too. ... The Right Way (TM) would be to add a RDEPENDS= libogg libvorbis to
      Message 2 of 4 , Mar 2, 2006
      • 0 Attachment
        Bob Burnquest wrote:
        > Icecast 2.2 can be compiled for Openslug v2.7
        > Add libgpg-error, libgcrypt and icecast to
        > openslug-bbfiles.conf
        > I needed to edit the icecast-2.2.0.bb file and add
        >
        > EXTRA_OECONF =
        > "--with-ogg=/home/other/OpenSlug-2.7/tmp/staging/armeb-linux/lib/
        > --with-vorbis=/home/other/OpenSlug-2.7/tmp/staging/armeb-linux/lib/"
        >
        > or it wouldn't find the proper ogg & vorbis so files.
        Replace the path with ${STAGING_LIBDIR}, and it should work with other
        paths too.

        > After I installed the ipk files on the slug I manually
        > copied libogg.so & libvorbis.so to /usr/lib (Yes I
        > realize this is dirty, but I'm new at this. I'll try
        > to find the right way, but this worked)
        The Right Way (TM) would be to add a RDEPENDS="libogg libvorbis" to the
        package (If they provide the libraries you need runtime)

        >
        > I hope this can be of use to someone as it completed
        > my slug project. Ampache, mpd, icecast, udev + iriver
        > mp3 player to play locally or streaming.
        Could you do the changes outlined above, and send a diff to the mailinglist?

        Thank you,
        Øyvind Repvik
        openslug package manager
      • Bob Burnquest
        The changes you suggested worked The diff files are for openslug-bbfiles, as icecast, libgpg-error, libgcrypt and libxslt had to be added. libgpg-error,
        Message 3 of 4 , Mar 2, 2006
        • 0 Attachment
          The changes you suggested worked

          The diff files are for openslug-bbfiles, as icecast,
          libgpg-error, libgcrypt and libxslt had to be added.
          libgpg-error, libgcrypt and libxslt all compile and
          install fine on the slug.

          The diff file for icecast, with the additions you
          suggested works as well.

          If /usr/bin/icecast complains about missing libogg.so
          or libvorbis.so make sure ipk installed has those, for
          some reason, the first time I built them they weren't
          installed or included.

          Thanks for the help James

          --- Øyvind Repvik <oyvind@...> wrote:


          ---------------------------------
          Bob Burnquest wrote:
          > Icecast 2.2 can be compiled for Openslug v2.7
          > Add libgpg-error, libgcrypt and icecast to
          > openslug-bbfiles.conf
          > I needed to edit the icecast-2.2.0.bb file and add
          >
          > EXTRA_OECONF =
          >
          "--with-ogg=/home/other/OpenSlug-2.7/tmp/staging/armeb-linux/lib/
          >
          --with-vorbis=/home/other/OpenSlug-2.7/tmp/staging/armeb-linux/lib/"
          >
          > or it wouldn't find the proper ogg & vorbis so
          files.
          Replace the path with ${STAGING_LIBDIR}, and it should
          work with other
          paths too.

          > After I installed the ipk files on the slug I
          manually
          > copied libogg.so & libvorbis.so to /usr/lib (Yes I
          > realize this is dirty, but I'm new at this. I'll
          try
          > to find the right way, but this worked)
          The Right Way (TM) would be to add a RDEPENDS="libogg
          libvorbis" to the
          package (If they provide the libraries you need
          runtime)

          >
          > I hope this can be of use to someone as it completed
          > my slug project. Ampache, mpd, icecast, udev +
          iriver
          > mp3 player to play locally or streaming.
          Could you do the changes outlined above, and send a
          diff to the mailinglist?

          Thank you,
          Øyvind Repvik
          openslug package manager




          __________________________________________________
          Do You Yahoo!?
          Tired of spam? Yahoo! Mail has the best spam protection around
          http://mail.yahoo.com
        • Øyvind Repvik
          ... Ok, it compiles fine, and the changes should show up in the unstable feed. It ll take me a little while to propagate the changes to 3.6-beta and 2.7-beta.
          Message 4 of 4 , Mar 3, 2006
          • 0 Attachment
            Bob Burnquest wrote:
            > The changes you suggested worked
            >
            > The diff files are for openslug-bbfiles, as icecast,
            > libgpg-error, libgcrypt and libxslt had to be added.
            > libgpg-error, libgcrypt and libxslt all compile and
            > install fine on the slug.
            >
            > The diff file for icecast, with the additions you
            > suggested works as well.
            >
            > If /usr/bin/icecast complains about missing libogg.so
            > or libvorbis.so make sure ipk installed has those, for
            > some reason, the first time I built them they weren't
            > installed or included.
            >
            > Thanks for the help James
            Ok, it compiles fine, and the changes should show up in the unstable
            feed. It'll take me a little while to propagate the changes to 3.6-beta
            and 2.7-beta. I expect it to show up tomorrow if it compiles as expected
            in the stable feeds.
            Btw, the next time you do a diff, please do a unified one (-u). Makes it
            a lot easier to read :-)

            Regards,
            Øyvind Repvik
            OpenSlug package manager

            >
            > --- Øyvind Repvik <oyvind@...> wrote:
            >
            >
            > ---------------------------------
            > Bob Burnquest wrote:
            >> Icecast 2.2 can be compiled for Openslug v2.7
            >> Add libgpg-error, libgcrypt and icecast to
            >> openslug-bbfiles.conf
            >> I needed to edit the icecast-2.2.0.bb file and add
            >>
            >> EXTRA_OECONF =
            >>
            > "--with-ogg=/home/other/OpenSlug-2.7/tmp/staging/armeb-linux/lib/
            > --with-vorbis=/home/other/OpenSlug-2.7/tmp/staging/armeb-linux/lib/"
            >> or it wouldn't find the proper ogg & vorbis so
            > files.
            > Replace the path with ${STAGING_LIBDIR}, and it should
            > work with other
            > paths too.
            >
            >> After I installed the ipk files on the slug I
            > manually
            >> copied libogg.so & libvorbis.so to /usr/lib (Yes I
            >> realize this is dirty, but I'm new at this. I'll
            > try
            >> to find the right way, but this worked)
            > The Right Way (TM) would be to add a RDEPENDS="libogg
            > libvorbis" to the
            > package (If they provide the libraries you need
            > runtime)
            >
            >> I hope this can be of use to someone as it completed
            >> my slug project. Ampache, mpd, icecast, udev +
            > iriver
            >> mp3 player to play locally or streaming.
            > Could you do the changes outlined above, and send a
            > diff to the mailinglist?
            >
            > Thank you,
            > Øyvind Repvik
            > openslug package manager
            >
            >
            >
            >
            > __________________________________________________
            > Do You Yahoo!?
            > Tired of spam? Yahoo! Mail has the best spam protection around
            > http://mail.yahoo.com
            >
            >
            > Yahoo! Groups Links
            >
            >
            >
            >
          Your message has been successfully submitted and would be delivered to recipients shortly.